View Issue Details

IDProjectCategoryLast Update
0019157AI War 2[All Projects] Graphical BugDec 7, 2017 8:45 am
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.400 Usability and the GUI Pipeline 
Fixed in Version 
Summary0019157: Problems with text overlaps
DescriptionNote the "X enemy ships (Y squads) seems to wrap and wind up below the player ships amount. This also covers the button "7". Also the "Development build" string covers a button as well.
TagsNo tags attached.

Activities

BadgerBadger

Jun 6, 2017 8:50 pm

reporter  

overlap_bottom.png (943,443 bytes)

BadgerBadger

Jun 6, 2017 10:25 pm

reporter   ~0046264

Last edited: Jun 6, 2017 11:30 pm

View 2 revisions

Notice also that the "Next wave in ....." text has something else behind it making it hard to read. Might be the Metal amount wrapping down to the next line?

BadgerBadger

Jun 6, 2017 10:28 pm

reporter  

CPA line wrap.png (1,085,165 bytes)

BadgerBadger

Jun 6, 2017 10:29 pm

reporter   ~0046265

Also note that sometimes the CPA line will wrap to the next line below. That looks tacky. This seems to be when once the AI progress gets high enough to require more digits. The "Next wave" will do so as well. Unsure if this is intended.

BadgerBadger

Jun 6, 2017 10:59 pm

reporter  

fortress overlap.png (1,824,318 bytes)

BadgerBadger

Jun 6, 2017 11:01 pm

reporter   ~0046267

Last edited: Jun 6, 2017 11:31 pm

View 2 revisions

Note that the bottom line of most units when highlighted overlaps the bottom row of buttons. Here's an example from "Fortress", but selecting other ship types has the same issue.

Also note that when you select some ships it pops up "Free Roaming Defender" and "Scrap" as options, but those cover over potentially important details of the selection information (fuel cost, for example)

x4000Bughunter

Jun 19, 2017 8:42 pm

administrator   ~0046305

The "Development Build" bit is unavoidable, so we just have to avoid that bit of screen real estate... or something. At any rate, for the other bits it's all to do with font size changes.

Ideally with those we can get some graphical bits to go in there as well from Blue, I dunno.

BadgerBadger

Jun 19, 2017 9:37 pm

reporter   ~0046320

Yeah, the "Development build" bit is fine. The other ones are more annoying.

BadgerBadger

Dec 7, 2017 8:15 am

reporter   ~0046618

The UI has been significantly reworked since this bug was opened. It can be returned.

Issue History

Date Modified Username Field Change
Jun 6, 2017 8:50 pm BadgerBadger New Issue
Jun 6, 2017 8:50 pm BadgerBadger File Added: overlap_bottom.png
Jun 6, 2017 10:25 pm BadgerBadger Note Added: 0046264
Jun 6, 2017 10:25 pm BadgerBadger Summary slight overlaps between on screen text and bottom of the screen buttons => Problems with text overlaps
Jun 6, 2017 10:28 pm BadgerBadger File Added: CPA line wrap.png
Jun 6, 2017 10:29 pm BadgerBadger Note Added: 0046265
Jun 6, 2017 10:59 pm BadgerBadger File Added: fortress overlap.png
Jun 6, 2017 11:01 pm BadgerBadger Note Added: 0046267
Jun 6, 2017 11:30 pm BadgerBadger Note Edited: 0046264 View Revisions
Jun 6, 2017 11:31 pm BadgerBadger Note Edited: 0046267 View Revisions
Jun 19, 2017 8:41 pm x4000Bughunter Assigned To => keith.lamothe
Jun 19, 2017 8:41 pm x4000Bughunter Status new => assigned
Jun 19, 2017 8:42 pm x4000Bughunter Note Added: 0046305
Jun 19, 2017 9:37 pm BadgerBadger Note Added: 0046320
Dec 7, 2017 8:15 am BadgerBadger Note Added: 0046618
Dec 7, 2017 8:45 am x4000Bughunter Status assigned => resolved
Dec 7, 2017 8:45 am x4000Bughunter Resolution open => fixed